Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface Container

All Superinterfaces:
  FrontsNode, RDFNode, Resource

All Known Subinterfaces:
  Alt, Bag, Seq

    public interface Container

extends Resource

An RDF Container.

This interface defines methods for accessing RDF container resources. These methods operate on the RDF statements contained in a model. The container implementation may cache state from the underlying model, so objects should not be added to or removed from the container by directly manipulating its properties, whilst the container is being accessed through this interface.

When a member is deleted from a container using this interface, or an iterator returned through this interface, all the other members with higher ordinals are renumbered using an algorithm which may depend on the type of the container.

This interface provides methods supporting typed literals. This means that methods are provided which will translate a built in type, or an object to an RDF Literal. This translation is done by invoking the `toString()` method of the object, or its built in equivalent. The reverse translation is also supported. This is built in for built in types. Factory objects, provided by the application, are used for application objects.

This interface provides methods for supporting enhanced resources. An enhanced resource is a resource to which the application has added behaviour. RDF containers are examples of enhanced resources built in to this package. Enhanced resources are supported by encapsulating a resource created by an implementation in another class which adds the extra behaviour. Factory objects are used to construct such enhanced resources.

Version:
  Release='$Name: $' Revision='$Revision: 1.7 $' Date='$Date: 2008/01/02 12:05:48 $'
Author:
  bwm

Method Summary
`Container` | `add(boolean o)` Add a new value to a container.
`Container` | `add(char o)` Add a new value to a container.
`Container` | `add(double o)` Add a new value to a container.
`Container` | `add(float o)` Add a new value to a container.
`Container` | `add(long o)` Add a new value to a container.
`Container` | `add(java.lang.Object o)` Add a new value to a container.
`Container` | `add(RDFNode o)` Add a new value to a container.
`Container` | `add(java.lang.String o)` Add a new value to a container.
`Container` | `add(java.lang.String o, java.lang.String l)` Add a new value to a container.
`boolean` | `contains(boolean o)` Determine whether the container contains a value
`boolean` | `contains(char o)` Determine whether the container contains a value
`boolean` | `contains(double o)` Determine whether the container contains a value
`boolean` | `contains(float o)` Determine whether the container contains a value
`boolean` | `contains(long o)` Determine whether the container contains a value
`boolean` | `contains(java.lang.Object o)` Determine whether the container contains a value
`boolean` | `contains(RDFNode o)` Determine whether the container contains a value
`boolean` | `contains(java.lang.String o)` Determine whether the container contains a value
`boolean` | `contains(java.lang.String o, java.lang.String l)` Determine whether the container contains a value
`boolean` | `isAlt()`
`boolean` | `isBag()`
`boolean` | `isSeq()`
`NodeIterator` | `iterator()` Return an iterator over the values.
`Container` | `remove(Statement s)` Remove a value from the container.
`int` | `size()` return the number values in the container.

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### isAlt

    boolean isAlt()

### isSeq

    boolean isSeq()

### isBag

    boolean isBag()

### add

    Container add(RDFNode o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(boolean o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(long o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(char o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(float o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(double o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(java.lang.String o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(java.lang.String o,
                  java.lang.String l)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
    `l` - The language of the string to be added
  Returns:
    this object so that calls may be cascaded.

### add

    Container add(java.lang.Object o)

  Add a new value to a container.

  The size of the container is extended by 1 and the new value is added as the last element of the container.

  Parameters:
    `o` - The value to be added.
  Returns:
    this object so that calls may be cascaded.

### contains

    boolean contains(RDFNode o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(boolean o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(long o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(char o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(float o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(double o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(java.lang.String o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(java.lang.String o,
                     java.lang.String l)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
    `l` - the language of the string tested
  Returns:
    true if and only if the container contains o

### contains

    boolean contains(java.lang.Object o)

  Determine whether the container contains a value

  Parameters:
    `o` - the value being tested for
  Returns:
    true if and only if the container contains o

### remove

    Container remove(Statement s)

  Remove a value from the container.

  The predicate of the statement `s` identifies the ordinal of the value to be removed. Once removed, the values in the container with a higher ordinal value are renumbered. The renumbering algorithm depends on the type of container.

  Parameters:
    `s` - The statement to be removed from the model.
  Returns:
    this container to enable cascading calls.

### iterator

    NodeIterator iterator()

  Return an iterator over the values.

  Note the interator returned is not a standard java.util.iterator. It has a `close` method which SHOULD be called if the application has not completed the iteration, but no longer requires the iterator. This will enable the freeing of resources in, for example, implementations which store their models in a database.

  .

  Returns:
    Return an iterator over the values.

### size

    int size()

  return the number values in the container.

  Returns:
    the number of values int the container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP